# yaml-language-server: $schema=../vendor/symfony/routing/Loader/schema/routing.schema.json

# ══════════════════════════════════════════════════════════════════
# Routes — routes.yaml
# ══════════════════════════════════════════════════════════════════
# Fichier principal de configuration du routeur Symfony.
#
# Toutes les routes sont déclarées via les attributs PHP #[Route(...)]
# directement dans les contrôleurs (src/Controller/).
# Ce fichier se contente d'indiquer à Symfony où les trouver.
#
# Pour lister toutes les routes enregistrées :
#   php bin/console debug:router
#
# Contrôleurs et leurs préfixes de route :
#   SecurityController     → /login, /logout
#   DashboardController    → /  (app_home)
#   PointageController     → /pointage/{year}/{month}
#   AdminController        → /admin/**
#   AdminUserController    → /admin/users/**
#   AdminTarifController   → /admin/tarifs/**
# ══════════════════════════════════════════════════════════════════

# Chargement automatique de toutes les routes définies
# par attributs #[Route] dans les classes du répertoire Controller/.
controllers:
    resource:
        path: ../src/Controller/
        namespace: App\Controller
    type: attribute
